PublicApiCreateBillingCheckout
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"returnPath": "<string>",
"amount": 4503599627370495
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', returnPath: '<string>', amount: 4503599627370495})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Billing
PublicApiCreateBillingCheckout
POST /api/v1/organizations//billing/checkout
POST
/
api
/
v1
/
organizations
/
{orgId}
/
billing
/
checkout
PublicApiCreateBillingCheckout
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"returnPath": "<string>",
"amount": 4503599627370495
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', returnPath: '<string>', amount: 4503599627370495})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Body
application/json
Response
Successful response
The response is of type object.